#ifndef RESULT_H
#define RESULT_H

//#include "../General/IO/BinaryWriter.h"
#include <map>
#include <list>
#include <vector>
#include <fstream>
using namespace std;

class Molecule;

class Result
{
private:
	list<list<double> > __num;
	list<double> __time;
	list<Molecule*> __molecule;

public:
	Result(list<Molecule*> molecule);
//	void add(double timePrev, double timeNext, double timeResult, list<Molecule*> molecule);
	void add(double time, bool numPrev);
//	void saveConc(BinaryWriter& writer);
//	void saveNum(BinaryWriter& writer);
	void saveConc(ofstream& ofs);
	void saveNum(ofstream& ofs);
	double timeLast();
	int size();
};

#endif
