#ifndef UNITCONVERSION_H
#define UNITCONVERSION_H

class UnitConversion
{
public:
	static const double AVOGADRO;

	static double um3_to_l(double value);
	static double num_to_umol(double num);
	static double umol_to_num(double umol);
	static double num_um3_to_uM(double num, double volume);
	static double uM_um3_to_num(double uM, double volume);
};

#endif
